Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.binding
Class PortletApplicationUnmarshaller

    java.lang.Object
      org.jasig.portal.container.binding.PortletApplicationUnmarshaller

    public class PortletApplicationUnmarshaller

extends java.lang.Object

Parses a `portlet.xml` file and produces data structures.

Version:
  $Revision: 1.7 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private java.lang.String` | `contextName`
`private org.w3c.dom.Document` | `doc`
`private java.io.InputStream` | `inputStream`
`private PortletApplicationDefinitionImpl` | `portletApplicationDefinition`

Constructor Summary
`PortletApplicationUnmarshaller()`

Method Summary
`private org.apache.pluto.om.portlet.ContentTypeSet` | `getContentTypes(org.w3c.dom.Element portletE)`
`private org.apache.pluto.om.common.DescriptionSet` | `getDescriptions(org.w3c.dom.Element portletE)`
`private org.apache.pluto.om.common.DisplayNameSet` | `getDisplayNames(org.w3c.dom.Element portletE)`
`private org.apache.pluto.om.common.ParameterSet` | `getInitParameters(org.w3c.dom.Element portletE)`
`private org.apache.pluto.om.common.LanguageSet` | `getLanguages(org.w3c.dom.Element portletE)`
`org.apache.pluto.om.portlet.PortletApplicationDefinition` | `getPortletApplicationDefinition(org.apache.pluto.om.servlet.WebApplicationDefinition webApplicationDefinition)` Returns a PortletApplicationDefinition object that was populated with data from the `portlet.xml` file.
`private org.apache.pluto.om.portlet.PortletDefinitionList` | `getPortletDefinitions(org.w3c.dom.Element portletAppE, org.apache.pluto.om.servlet.WebApplicationDefinition webApplicationDefinition)`
`private org.apache.pluto.om.common.PreferenceSet` | `getPreferences(org.w3c.dom.Element portletE)`
`private SecurityRoleRefSetImpl` | `getSecurityRoleRefs(org.w3c.dom.Element portletE)`
`private UserAttributeListImpl` | `getUserAttributes(org.w3c.dom.Element portletAppE)`
`void` | `init(java.io.InputStream inputStream, java.lang.String contextName)` Initializer that takes an input stream to the `portlet.xml` file.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### inputStream

    private java.io.InputStream inputStream

### contextName

    private java.lang.String contextName

### doc

    private org.w3c.dom.Document doc

### portletApplicationDefinition

    private PortletApplicationDefinitionImpl portletApplicationDefinition

Constructor Detail

### PortletApplicationUnmarshaller

    public PortletApplicationUnmarshaller()

Method Detail

### init

    public void init(java.io.InputStream inputStream,
                     java.lang.String contextName)
              throws java.io.IOException,
                     org.xml.sax.SAXException

  Initializer that takes an input stream to the `portlet.xml` file.

  Parameters:
    `inputStream` - an input stream to the contents of the `portlet.xml` file
  Throws:
    `java.io.IOException`
    `org.xml.sax.SAXException`

### getPortletApplicationDefinition

    public org.apache.pluto.om.portlet.PortletApplicationDefinition getPortletApplicationDefinition(org.apache.pluto.om.servlet.WebApplicationDefinition webApplicationDefinition)

  Returns a PortletApplicationDefinition object that was populated with data from the `portlet.xml` file.

  Returns:
    the portlet application definition

### getPortletDefinitions

    private org.apache.pluto.om.portlet.PortletDefinitionList getPortletDefinitions(org.w3c.dom.Element portletAppE,
                                                                                    org.apache.pluto.om.servlet.WebApplicationDefinition webApplicationDefinition)

### getDisplayNames

    private org.apache.pluto.om.common.DisplayNameSet getDisplayNames(org.w3c.dom.Element portletE)

### getDescriptions

    private org.apache.pluto.om.common.DescriptionSet getDescriptions(org.w3c.dom.Element portletE)

### getLanguages

    private org.apache.pluto.om.common.LanguageSet getLanguages(org.w3c.dom.Element portletE)

### getInitParameters

    private org.apache.pluto.om.common.ParameterSet getInitParameters(org.w3c.dom.Element portletE)

### getPreferences

    private org.apache.pluto.om.common.PreferenceSet getPreferences(org.w3c.dom.Element portletE)

### getSecurityRoleRefs

    private SecurityRoleRefSetImpl getSecurityRoleRefs(org.w3c.dom.Element portletE)

### getContentTypes

    private org.apache.pluto.om.portlet.ContentTypeSet getContentTypes(org.w3c.dom.Element portletE)

### getUserAttributes

    private UserAttributeListImpl getUserAttributes(org.w3c.dom.Element portletAppE)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD